Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Member Functions | Data Fields
proofs::JWT< LogicCircuit, Field, EC, SHABlocks >::Witness Class Reference
Collaboration diagram for proofs::JWT< LogicCircuit, Field, EC, SHABlocks >::Witness:
[legend]

## Public Member Functions
void | input (QuadCircuit< Field > &Q, const LogicCircuit &lc, size_t na)

## Data Fields
EltW | e_
EltW | dpkx_
EltW | dpky_
EcdsaWitness | jwt_sig_
EcdsaWitness | kb_sig_
v8 | preimage_ [64 *kMaxSHABlocks]
v256 | e_bits_
ShaBlockWitness | sha_ [kMaxSHABlocks]
v8 | nb_
std::vector< vind > | attr_ind_
vind | payload_ind_
vind | payload_len_

The documentation for this class was generated from the following file:

- lib/circuits/jwt/jwt.h